## nbconvert 5.3.1

=== nbconvert/templates/skeleton/Makefile ===
TPLS := $(patsubst %.tpl,../latex/skeleton/%.tplx,$(wildcard *.tpl))

all: clean $(TPLS)

# Convert standard Jinja2 syntax to LaTeX safe Jinja2
# see http://flask.pocoo.org/snippets/55/ for more info
../latex/skeleton/%.tplx: %.tpl
	@echo 'generating tex equivalent of $^: $@'
	@echo '((= Auto-generated template file, DO NOT edit directly!\n' \
		  '   To edit this file, please refer to ../../skeleton/README.md' \
		  '=))\n\n' > $@
	@sed \
		-e 's/{%/((*/g' \
		-e 's/%}/*))/g' \
		-e 's/{{/(((/g' \
		-e 's/}}/)))/g' \
		-e 's/{#/((=/g' \
		-e 's/#}/=))/g' \
		-e "s/tpl'/tplx'/g" \
		$^ >> $@

clean:
	@echo "cleaning generated tplx files..."
	@-rm ../latex/skeleton/*.tplx

## nbconvert 4.2.0

=== debian/changelog ===
nbconvert (4.2.0-4) unstable; urgency=medium

  * Team upload.
  * Recommend pandoc, required for several output formats

 -- Gordon Ball <gordon@chronitis.net>  Fri, 25 Nov 2016 11:56:49 +0100

nbconvert (4.2.0-3) unstable; urgency=medium

  * Add explicit dep on entrypoints packages. (Closes: #843514)

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 07 Nov 2016 20:29:24 +0100

nbconvert (4.2.0-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Team upload.
  * Upload to unstable.

  [ Julien Puydt ]
  * Push dh compat to 10.

  [ Gordon Ball ]
  * Split the jupyter-nbconvert script into a separate package (also named
    jupyter-nbconvert), which depends on the python 3 library package.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2016 20:01:52 +0000

nbconvert (4.2.0-1) experimental; urgency=medium

  [ Julien Puydt ]
  * Initial release. (Closes: #801058)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 30 Jul 2016 07:15:50 +0200

=== debian/control ===
Source: nbconvert
Maintainer: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/jupyter/nbconvert
Build-Depends: debhelper (>= 10),
               dh-python,
               inkscape,
               pandoc,
               python,
               python-backports-shutil-get-terminal-size,
               python-entrypoints,
               python-ipykernel,
               python-ipython (>= 5.0.0),
               python-jinja2,
               python-jupyter-core,
               python-mistune,
               python-nbformat,
               python-nose,
               python-path,
               python-pickleshare,
               python-pygments,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme,
               python-testpath,
               python-traitlets,
               python3-all,
               python3-entrypoints,
               python3-ipykernel,
               python3-ipython (>= 5.0.0),
               python3-jinja2,
               python3-jupyter-core,
               python3-mistune,
               python3-nbformat,
               python3-nose,
               python3-path,
               python3-pickleshare,
               python3-pygments,
               python3-setuptools,
               python3-testpath,
               python3-traitlets,
               texlive-fonts-recommended,
               texlive-generic-recommended,
               texlive-latex-base,
               texlive-latex-extra
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nbconvert.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nbconvert.git

Package: python-nbconvert
Architecture: all
Depends: python-entrypoints,
         python-ipython (>= 5),
         ${misc:Depends},
         ${python:Depends}
Recommends: pandoc
Description: Jupyter notebook conversion (Python 2)
 Jupyter nbconvert converts notebooks to various other formats
 using Jinja templates.
 .
 This package installs the library for Python 2.

Package: python3-nbconvert
Architecture: all
Depends: python3-entrypoints,
         python3-ipython (>= 5),
         ${misc:Depends},
         ${python3:Depends}
Recommends: pandoc
Description: Jupyter notebook conversion (Python 3)
 Jupyter nbconvert converts notebooks to various other formats
 using Jinja templates.
 .
 This package installs the library for Python 3.

Package: jupyter-nbconvert
Architecture: all
Depends: python3-nbconvert (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Section: utils
Description: Jupyter notebook conversion (scripts)
 Jupyter nbconvert converts notebooks to various other formats
 using Jinja templates.
 .
 This package installs the jupyter-nbconvert script.

=== debian/watch ===
version=3
http://pypi.debian.net/nbconvert/nbconvert-(.*)\.tar\.gz

## nbconvert 5.3.1

=== debian/changelog ===
nbconvert (5.3.1-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release.
  * Re-enable building documentation now nbsphinx is available.
  * Update Standards-Version to 4.1.1
  * Install the upstream changelog

  [ Julien Puydt ]
  * Correctly sort beta versions in d/watch.
  * Add python3?-jupyter-client to the depends (Closes: #864700).
  * New upstream release.
  * Refresh patches.
  * Update standards-version to 4.1.0.
  * Add depends on python-pytest, python3-pytest and python-jupyter-client.
  * Declare under the team maintenance like my other packages.
  * Disable autotests since entry points are not available when we want to
    run them.
  * Update d/copyright.
  * Use javascript packages instead of going to the net.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 25 Oct 2017 21:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nbconvert
-Maintainer: Julien Puydt <julien.puydt@laposte.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/jupyter/nbconvert
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -10,23 +11,26 @@
                pandoc,
                python,
                python-backports-shutil-get-terminal-size,
+               python-bleach,
                python-entrypoints,
                python-ipykernel,
                python-ipython (>= 5.0.0),
                python-jinja2,
+               python-jupyter-client,
                python-jupyter-core,
                python-mistune,
                python-nbformat,
                python-nose,
+               python-pandocfilters (>= 1.4),
                python-path,
                python-pickleshare,
                python-pygments,
+               python-pytest,
                python-setuptools,
-               python-sphinx,
-               python-sphinx-rtd-theme,
                python-testpath,
                python-traitlets,
                python3-all,
+               python3-bleach,
                python3-entrypoints,
                python3-ipykernel,
                python3-ipython (>= 5.0.0),
@@ -34,11 +38,17 @@
                python3-jupyter-core,
                python3-mistune,
                python3-nbformat,
+               python3-nbsphinx (>= 0.2.14) <!nodoc>,
                python3-nose,
+               python3-notebook,
+               python3-pandocfilters (>= 1.4),
                python3-path,
                python3-pickleshare,
                python3-pygments,
+               python3-pytest,
                python3-setuptools,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                python3-testpath,
                python3-traitlets,
                texlive-fonts-recommended,
@@ -54,6 +64,8 @@
 Architecture: all
 Depends: python-entrypoints,
          python-ipython (>= 5),
+         python-jupyter-client,
+         python-testpath,
          ${misc:Depends},
          ${python:Depends}
 Recommends: pandoc
@@ -67,6 +79,8 @@
 Architecture: all
 Depends: python3-entrypoints,
          python3-ipython (>= 5),
+         python3-jupyter-client,
+         python3-testpath,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: pandoc
@@ -87,3 +101,19 @@
  using Jinja templates.
  .
  This package installs the jupyter-nbconvert script.
+
+Package: python-nbconvert-doc
+Architecture: all
+Build-Profiles: <!nodoc>
+Depends: libjs-jquery,
+         libjs-mathjax,
+         libjs-requirejs,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
+Section: doc
+Description: Jupyter notebook conversion (documentation)
+ Jupyter nbconvert converts notebooks to various other formats
+ using Jinja templates.
+ .
+ This package installs the documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	cp /usr/lib/python3/dist-packages/notebook/static/style/style.min.css nbconvert/resources/

override_dh_auto_install:
	dh_auto_install
	rm -r `find debian/tmp -name tests -type d`

override_dh_auto_test:
	@echo "Disabling autotests: entry points are not available yet!"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/source debian/python-nbconvert-doc/usr/share/doc/python-nbconvert-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs -k docs/source/changelog.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/b/~b/,dversionmangle=s/~b/b/ \
https://github.com/jupyter/nbconvert/tags .*/archive/(.*)\.tar\.gz

## nbconvert 5.4

=== debian/changelog ===
nbconvert (5.4-2) unstable; urgency=medium

  * Add upstream patch (Closes: #918913)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 17 Jan 2019 15:31:11 +0100

nbconvert (5.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Add suggests to python-nbconvert-doc (Closes: #880534)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream version
  * Update Standards-Version to 4.2.1
  * New dependency: python3?-defusedxml
  * Patch out (unpackaged) sphinxcontrib_github_alt for documentation

  [ Julien Puydt ]
  * Use my debian.org mail address.
  * Update dates in d/copyright.
  * Bump dh compat to 11.
  * Bump std-ver to 4.3.0.
  * Add patch to remove privacy breaches (and add depends on libjs-*).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 04 Jan 2019 22:21:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: nbconvert
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/jupyter/nbconvert
-Build-Depends: debhelper (>= 10),
-               dh-python,
+Build-Depends: debhelper (>= 11),
+	       dh-python,
                inkscape,
                pandoc,
                python,
                python-backports-shutil-get-terminal-size,
                python-bleach,
+               python-defusedxml,
                python-entrypoints,
                python-ipykernel,
                python-ipython (>= 5.0.0),
@@ -31,6 +32,7 @@
                python-traitlets,
                python3-all,
                python3-bleach,
+               python3-defusedxml,
                python3-entrypoints,
                python3-ipykernel,
                python3-ipython (>= 5.0.0),
@@ -55,19 +57,21 @@
                texlive-generic-recommended,
                texlive-latex-base,
                texlive-latex-extra
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nbconvert.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nbconvert.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/nbconvert.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/nbconvert
 
 Package: python-nbconvert
 Architecture: all
-Depends: python-entrypoints,
+Depends: libjs-jquery,
+	 libjs-mathjax,
+	 libjs-requirejs,
+	 python-entrypoints,
          python-ipython (>= 5),
          python-jupyter-client,
          python-testpath,
          ${misc:Depends},
          ${python:Depends}
+Suggests: python-nbconvert-doc
 Recommends: pandoc
 Description: Jupyter notebook conversion (Python 2)
  Jupyter nbconvert converts notebooks to various other formats
@@ -83,6 +87,7 @@
          python3-testpath,
          ${misc:Depends},
          ${python3:Depends}
+Suggests: python-nbconvert-doc
 Recommends: pandoc
 Description: Jupyter notebook conversion (Python 3)
  Jupyter nbconvert converts notebooks to various other formats

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs/source debian/python-nbconvert-doc/usr/share/doc/python-nbconvert-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html docs/source debian/python-nbconvert-doc/usr/share/doc/python-nbconvert-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## nbconvert 5.6.1

=== debian/changelog ===
nbconvert (5.6.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * d/control: recommend jupyter-client (Closes: #982739)
  * Patch invalid escape sequence in docstrings (Closes: #979227)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 19 Feb 2021 15:12:30 +0000

nbconvert (5.6.1-2) unstable; urgency=medium

  * Include test files in the install
  * Run the test-suite as an autopkgtest
  * Update Standards-Version to 4.5.0
  * Drop unneeded build-dependencies, which are either already secondary
    dependencies, or were needed for tests not currently run at build time,
    or were obsolete
     + python3-{ipykernel,ipython,nose,pickleshare,pytest}
     + inkscape
     + texlive-{plain-generic,latex-base,latex-extra,fonts-recommended}
  * Drop explicit python dependencies for python3-nbconvert; python3:Depends
    correctly detects them.
  * Add texlive-{xetex,fonts-recommended,plain-generic} as Suggests for
    python3-nbconvert (needed for PDF/LaTeX output)
  * Add missing dependency on jupyter-core for jupyter-nbconvert
  * Drop patch which added a versioned IPython dependency; the relevant
    version is in oldstable

 -- Gordon Ball <gordon@chronitis.net>  Tue, 01 Sep 2020 11:37:33 +0000

nbconvert (5.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gordon Ball ]
  * New upstream version: 5.6.1
  * Declare Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Mon, 20 Jan 2020 18:53:06 +0000

nbconvert (5.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * Drop python 2.7 support (Closes: #937117)
  * Patch latex template to remove grffile package (Closes: #944344)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Nov 2019 15:33:26 +0000

nbconvert (5.6.0-1) unstable; urgency=medium

  * New upstream version: 5.6.0
  * Drop unused build-depends on python{,3}-path (from 5.4-2ubuntu1)
  * Version dependency on jupyter-client (>= 5.3.1), as per upstream
  * Add Testsuite: autopkgtest-pkg-python
  * Build-depend on texlive-plain-generic instead of
    texlive-generic-recommended (Closes: #941541)

 -- Gordon Ball <gordon@chronitis.net>  Wed, 09 Oct 2019 18:38:58 +0000

nbconvert (5.5.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 5.5.0
  * Refresh patches; drop now-applied upstream patch from 5.4-2
  * Add myself to uploaders
  * Update debhelper compat level to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Gordon Ball <gordon@chronitis.net>  Thu, 26 Sep 2019 10:54:56 +0000

=== debian/control ===
Source: nbconvert
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
Section: python
Priority: optional
Standards-Version: 4.5.0
Homepage: https://github.com/jupyter/nbconvert
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pandoc,
               python3-all,
               python3-bleach,
               python3-defusedxml,
               python3-entrypoints,
               python3-jinja2,
               python3-jupyter-client (>= 5.3.1),
               python3-jupyter-core,
               python3-mistune,
               python3-nbformat,
               python3-nbsphinx (>= 0.2.14) <!nodoc>,
               python3-notebook,
               python3-pandocfilters (>= 1.4),
               python3-pygments,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-testpath,
               python3-traitlets,
Vcs-Git: https://salsa.debian.org/python-team/packages/nbconvert.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nbconvert
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-nbconvert
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-nbconvert-doc,
          texlive-fonts-recommended,
          texlive-plain-generic,
          texlive-xetex,
Recommends: pandoc, python3-jupyter-client
Description: Jupyter notebook conversion (Python 3)
 Jupyter nbconvert converts notebooks to various other formats
 using Jinja templates.
 .
 This package installs the library for Python 3.

Package: jupyter-nbconvert
Architecture: all
Depends: python3-nbconvert (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         jupyter-core
Section: utils
Description: Jupyter notebook conversion (scripts)
 Jupyter nbconvert converts notebooks to various other formats
 using Jinja templates.
 .
 This package installs the jupyter-nbconvert script.

Package: python-nbconvert-doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: libjs-jquery,
         libjs-mathjax,
         libjs-requirejs,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Section: doc
Description: Jupyter notebook conversion (documentation)
 Jupyter nbconvert converts notebooks to various other formats
 using Jinja templates.
 .
 This package installs the documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,11 @@
 export PYBUILD_TEST_ARGS=-v
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_configure:
 	dh_auto_configure
 	cp /usr/lib/python3/dist-packages/notebook/static/style/style.min.css nbconvert/resources/
-
-override_dh_auto_install:
-	dh_auto_install
-	rm -r `find debian/tmp -name tests -type d`
 
 override_dh_auto_test:
 	@echo "Disabling autotests: entry points are not available yet!"

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 --ignore /usr/lib/python3/dist-packages/nbconvert/preprocessors/tests/test_execute.py /usr/lib/python3/dist-packages/nbconvert
Depends: @, python3-pytest, python3-ipykernel, pandoc, texlive-xetex, texlive-fonts-recommended, texlive-plain-generic

## nbconvert 6.4.0

=== debian/changelog ===
nbconvert (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 25 Jan 2022 11:21:29 +0000

nbconvert (6.3.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release (Closes: #995885).
  * Refresh patches.
  * Add new b-dep.
  * Remove Built-Using field from -doc package in d/control.
  * Add missing autopkgtest dep.
  * Rework 0004-privacy-breaches.patch:
    - use file:/// instead of file:// ;
    - accept the breach for mathjax so the produced documents
      don't break for users until upstream makes it easier
      to deal with (Closes: #999796).

  [ Gordon Ball ]
  * Vendor mistune 0.8.4 due to incompatibility with mistune 2
    (Closes: #1001283, #1002372)
  * Set nbsphinx_allow_errors in sphinx conf
  * Skip tests related to ipywidgets 7

 -- Gordon Ball <gordon@chronitis.net>  Sun, 09 Jan 2022 14:03:53 +0000

nbconvert (6.1.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Don't ship the tests in the main package.
  * Mark some patches as Debian-specific so lintian doesn't complain.
  * Bump dh compat to 13.
  * Update patches.
  * Add new build-deps.
  * Fix d/watch.
  * New upstream release 6.1.0.
  * Bump standards-version to 4.6.0.
  * Forward one of the patches upstream.

  [ Gordon Ball ]
  * Include templates in usr/share in python3-nbconvert
  * Run in-source tests for autopkgtest to avoid issues with readonly directories
  * Embed jupyterlab CSS until packaged
  * Build-depend on python3-ipython for sphinx extension
  * Skip webpdf tests (requires pyppeteer)
  * Skip tests which require test directories on the import path

 -- Gordon Ball <gordon@chronitis.net>  Wed, 10 Nov 2021 20:08:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,23 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/nbconvert
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pandoc,
                python3-all,
                python3-bleach,
                python3-defusedxml,
                python3-entrypoints,
+               python3-ipykernel <!nodoc>,
+               python3-ipython <!nodoc>,
                python3-jinja2,
-               python3-jupyter-client (>= 5.3.1),
+               python3-nbclient,
                python3-jupyter-core,
-               python3-mistune,
+               python3-jupyterlab-pygments,
                python3-nbformat,
                python3-nbsphinx (>= 0.2.14) <!nodoc>,
-               python3-notebook,
                python3-pandocfilters (>= 1.4),
                python3-pygments,
                python3-setuptools,
@@ -67,7 +68,6 @@
          libjs-requirejs,
          ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Description: Jupyter notebook conversion (documentation)
  Jupyter nbconvert converts notebooks to various other formats

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest -k 'not (webpdf or convert_full_qualified_name or post_processor or execute_multiple_notebooks or execute_widgets)'
Depends: @, python3-pytest, python3-ipykernel, python3-ipywidgets, pandoc, texlive-xetex, texlive-fonts-recommended, texlive-plain-generic

## nbconvert 6.4.4

=== debian/changelog ===
nbconvert (6.4.4-2) unstable; urgency=medium

  * Bump standards-version to 4.6.1.
  * Add python3-packaging to b-deps (Closes: #1014650).
  * Add explicit dep on python3-packaging (why isn't it automatic?).
  * Refresh patches.
  * Add patch for bleach 5 support.
  * Add lintian override for false positive.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 10 Jul 2022 17:07:13 +0200

nbconvert (6.4.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-nbsphinx and
      python3-pandocfilters.

  [ Gordon Ball ]
  * New upstream version 6.4.4
  * Rebase patches
  * New build-dependency: python3-bs4

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 19:58:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,33 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyter/nbconvert
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pandoc,
                python3-all,
-               python3-bleach,
+               python3-bleach (>= 5.0.0),
+               python3-bs4,
                python3-defusedxml,
                python3-entrypoints,
                python3-ipykernel <!nodoc>,
                python3-ipython <!nodoc>,
                python3-jinja2,
-               python3-nbclient,
                python3-jupyter-core,
                python3-jupyterlab-pygments,
+               python3-nbclient,
                python3-nbformat,
-               python3-nbsphinx (>= 0.2.14) <!nodoc>,
-               python3-pandocfilters (>= 1.4),
+               python3-nbsphinx <!nodoc>,
+               python3-packaging,
+               python3-pandocfilters,
                python3-pygments,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-testpath,
-               python3-traitlets,
+               python3-tinycss2,
+               python3-traitlets
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbconvert.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nbconvert
 Testsuite: autopkgtest-pkg-python
@@ -34,12 +37,11 @@
 
 Package: python3-nbconvert
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-packaging
 Suggests: python-nbconvert-doc,
           texlive-fonts-recommended,
           texlive-plain-generic,
-          texlive-xetex,
+          texlive-xetex
 Recommends: pandoc, python3-jupyter-client
 Description: Jupyter notebook conversion (Python 3)
  Jupyter nbconvert converts notebooks to various other formats
@@ -49,10 +51,10 @@
 
 Package: jupyter-nbconvert
 Architecture: all
-Depends: python3-nbconvert (= ${binary:Version}),
+Depends: jupyter-core,
+         python3-nbconvert (= ${binary:Version}),
          ${misc:Depends},
-         ${python3:Depends},
-         jupyter-core
+         ${python3:Depends}
 Section: utils
 Description: Jupyter notebook conversion (scripts)
  Jupyter nbconvert converts notebooks to various other formats

## nbconvert 6.5.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	rm source/config_options.rst

html: source/config_options.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

source/config_options.rst:
	python3 autogen_config.py
	@echo "Created docs for config options"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nbconvert.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nbconvert.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/nbconvert"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/nbconvert"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
nbconvert (6.5.3-5) unstable; urgency=medium

  * Team upload.
  * Updates for sphinx 5.0 support (closes: #1042699).
  * (Build-)depend on python3-lxml-html-clean (closes: #1068349).

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Apr 2024 16:52:34 +0100

nbconvert (6.5.3-4) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload.
  * Update lintian override to match current lintian format

  [ Simon Chopin ]
  * Patch failing tests after nbclient 0.8.0 (Closes: #1041483, LP: #2028176)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 21 Jul 2023 11:10:23 +0200

nbconvert (6.5.3-3) unstable; urgency=medium

  * Team upload.
  * Ignore ResourceWarning on stderr in autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Jan 2023 22:21:23 +0100

nbconvert (6.5.3-2) unstable; urgency=medium

  * Patch a failing test after (CVE-fixing) changes in jupyter-core 4.11.2

 -- Gordon Ball <gordon@chronitis.net>  Thu, 24 Nov 2022 21:46:28 +0000

nbconvert (6.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add 0007-fix-SyntaxError:_invalid_escape_sequence.patch to fix an
    import error in the Debian vendored _mistune.py (Closes: #1021560)
  * Don't fail on deprecation warning during autopkgtest
  * Add 0008-dont-use-intersphinx-during-build.patch to prevent
    downloading artifact from the internet during build (Closes: #1023040)

 -- Paul Gevers <elbrus@debian.org>  Sat, 29 Oct 2022 15:55:57 +0200

nbconvert (6.5.3-1) unstable; urgency=medium

  * Package new upstream 6.5.3 (Closes: #1019156).
  * Add patch to fix a missing style.css autopkgtest failure.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 07 Sep 2022 07:33:48 +0200

nbconvert (6.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and drop bleach_5.patch (upstream).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Aug 2022 14:48:56 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,8 @@
                python3-jinja2,
                python3-jupyter-core,
                python3-jupyterlab-pygments,
+               python3-lxml,
+               python3-lxml-html-clean,
                python3-nbclient,
                python3-nbformat,
                python3-nbsphinx <!nodoc>,
@@ -37,7 +39,7 @@
 
 Package: python3-nbconvert
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-packaging
+Depends: ${misc:Depends}, ${python3:Depends}, python3-lxml-html-clean, python3-packaging
 Suggests: python-nbconvert-doc,
           texlive-fonts-recommended,
           texlive-plain-generic,

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,17 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	cp /usr/lib/python3/dist-packages/notebook/static/style/style.min.css nbconvert/resources/
+	mkdir -p share/jupyter/nbconvert/templates/lab/static
+	cp debian/missing-sources/nbconvert-css@3.0.7/style/index.css share/jupyter/nbconvert/templates/lab/static/index.css
+	cp debian/missing-sources/theme-light-extension@3.0.7/style/variables.css share/jupyter/nbconvert/templates/lab/static/theme-light.css
+	cp debian/missing-sources/theme-dark-extension@3.0.7/style/variables.css share/jupyter/nbconvert/templates/lab/static/theme-dark.css
 
 override_dh_auto_test:
 	@echo "Disabling autotests: entry points are not available yet!"
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf `find debian/tmp -name tests -type d`
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest -W ignore::DeprecationWarning -k 'not (webpdf or convert_full_qualified_name or post_processor or execute_multiple_notebooks or execute_widgets)'
Depends: pandoc,
         python3-ipykernel,
         python3-ipywidgets,
         python3-pytest,
         texlive-fonts-recommended,
         texlive-plain-generic,
         texlive-xetex,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/nbconvert/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## nbconvert 7.16.4

=== debian/changelog ===
nbconvert (7.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1057949).
  * Go back to using packaged mistune.
  * Mark python-nbconvert-doc as Multi-Arch: foreign.
  * Drop "Patch out obsolete grffile from latex template"; upstream does
    version detection now, so this isn't needed.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Jun 2024 13:23:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,28 +8,28 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pandoc,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-bleach (>= 5.0.0),
                python3-bs4,
                python3-defusedxml,
-               python3-entrypoints,
+               python3-hatchling,
                python3-ipykernel <!nodoc>,
                python3-ipython <!nodoc>,
                python3-jinja2,
                python3-jupyter-core,
                python3-jupyterlab-pygments,
-               python3-lxml,
-               python3-lxml-html-clean,
+               python3-markupsafe,
+               python3-mistune,
+               python3-myst-parser <!nodoc>,
                python3-nbclient,
                python3-nbformat,
                python3-nbsphinx <!nodoc>,
                python3-packaging,
                python3-pandocfilters,
+               python3-pydata-sphinx-theme <!nodoc>,
                python3-pygments,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
-               python3-testpath,
                python3-tinycss2,
                python3-traitlets
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbconvert.git
@@ -39,7 +39,7 @@
 
 Package: python3-nbconvert
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-lxml-html-clean, python3-packaging
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-nbconvert-doc,
           texlive-fonts-recommended,
           texlive-plain-generic,
@@ -66,6 +66,7 @@
 
 Package: python-nbconvert-doc
 Architecture: all
+Multi-Arch: foreign
 Build-Profiles: <!nodoc>
 Depends: libjs-jquery,
          libjs-mathjax,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	mkdir -p share/templates/lab/static
	cp debian/missing-sources/nbconvert-css@3.0.7/style/index.css share/templates/lab/static/index.css
	cp debian/missing-sources/theme-light-extension@3.0.7/style/variables.css share/templates/lab/static/theme-light.css
	cp debian/missing-sources/theme-dark-extension@3.0.7/style/variables.css share/templates/lab/static/theme-dark.css

override_dh_auto_test:
	@echo "Disabling autotests: entry points are not available yet!"

override_dh_auto_install:
	dh_auto_install
	rm -rf `find debian/tmp -name tests -type d`

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs/source debian/python-nbconvert-doc/usr/share/doc/python-nbconvert-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## nbconvert 7.16.5

=== debian/changelog ===
nbconvert (7.16.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly depend on python3-tinycss2, since upstream now depends on
    bleach[css] but Debian's python3-bleach package only Recommends:
    python3-tinycss2.
  * Use templates from this source package while building documentation, not
    ones from the indirect circular build-dependency on python3-nbconvert.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2025 22:10:15 +0000

nbconvert (7.16.4-2) unstable; urgency=medium

  * Team upload.
  * Update embedded jupyterlab CSS to 4.0.2 (closes: #1082665).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Sep 2024 17:53:28 -0700

## nbconvert 7.16.6

=== debian/changelog ===
nbconvert (7.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Feb 2025 15:45:36 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,9 @@
 
 Package: python3-nbconvert
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-tinycss2,
+         ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-nbconvert-doc,
           texlive-fonts-recommended,
           texlive-plain-generic,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	mkdir -p share/templates/lab/static
	cp debian/missing-sources/nbconvert-css@4.0.2/style/index.css share/templates/lab/static/index.css
	cp debian/missing-sources/theme-light-extension@4.0.2/style/variables.css share/templates/lab/static/theme-light.css
	cp debian/missing-sources/theme-dark-extension@4.0.2/style/variables.css share/templates/lab/static/theme-dark.css

override_dh_auto_test:
	@echo "Disabling autotests: entry points are not available yet!"

override_dh_auto_install:
	dh_auto_install
	rm -rf `find debian/tmp -name tests -type d`

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	ln -nsf . share/nbconvert
	PYTHONPATH=. JUPYTER_PATH=share python3 -m sphinx -b html docs/source debian/python-nbconvert-doc/usr/share/doc/python-nbconvert-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest -W ignore::DeprecationWarning -k 'not (webpdf or convert_full_qualified_name or post_processor or execute_multiple_notebooks or execute_widgets)'
 Depends: pandoc,
+         python3-flaky,
          python3-ipykernel,
          python3-ipywidgets,
          python3-pytest,

## nbconvert 7.17.0

=== debian/changelog ===
nbconvert (7.17.0-1) unstable; urgency=medium

  * New upstream version 7.17.0
  * d/patches: rebase, update dont-use-intersphinx-during-build for upstream
    changes (use of unpackaged intersphinx-registry)
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * d/watch: upgrade to version 5

 -- Gordon Ball <gordon@chronitis.net>  Tue, 10 Feb 2026 21:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
-Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Homepage: https://github.com/jupyter/nbconvert
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -35,7 +34,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbconvert.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nbconvert
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-nbconvert
 Architecture: all

=== debian/watch ===
Version: 5
Template: Github 
Owner: jupyter
Project: nbconvert
Dversion-mangle: auto
